> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-fix-nav-issues.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Helm を使用した ClickHouse Operator のインストール

> このガイドでは、Helm チャートを使用して ClickHouse Operator をインストールする方法について説明します。

このガイドでは、Helm チャートを使用して ClickHouse Operator をインストールする方法について説明します。

<div id="prerequisites">
  ## 前提条件
</div>

* Kubernetes クラスター v1.28.0 以降
* helm v3.0 以降
* クラスターと通信できるように kubectl が設定されていること

<div id="install-helm">
  ## Helm をインストール
</div>

Helm がインストールされていない場合:

```bash theme={null}
curl https://raw.githubusercontent.com/helm/helm/main/scripts/get-helm-3 | bash
```

インストールを確認します:

```bash theme={null}
helm version
```

<div id="install-the-operator">
  ## Operator をインストールする
</div>

<Note>
  デフォルトでは、Helm チャートは webhook を有効にして ClickHouse Operator をデプロイするため、cert-manager がインストールされている必要があります。
</Note>

```bash theme={null}
helm install cert-manager oci://quay.io/jetstack/charts/cert-manager -n cert-manager --create-namespace --set crds.enabled=true
```

<div id="from-oci-helm-repository">
  ### OCI Helm リポジトリから
</div>

最新リリースをインストールします

```bash theme={null}
    helm install clickhouse-operator oci://ghcr.io/clickhouse/clickhouse-operator-helm \
       --create-namespace \
       -n clickhouse-operator-system
```

特定のバージョンの Operator をインストールする

```bash theme={null}
    helm install clickhouse-operator oci://ghcr.io/clickhouse/clickhouse-operator-helm \
       --create-namespace \
       -n clickhouse-operator-system \
       --set-json="manager.container.tag=<operator version>
```

<div id="from-local-chart">
  ### ローカルチャートから
</div>

リポジトリをクローンし、ローカルチャートからインストールします:

```bash theme={null}
git clone https://github.com/ClickHouse/clickhouse-operator.git
cd clickhouse-operator
helm install clickhouse-operator ./dist/chart
```

<div id="configuration-options">
  ### 設定オプション
</div>

詳細な設定オプションについては、Helm チャート内の [values.yaml](https://github.com/ClickHouse/clickhouse-operator/blob/main/dist/chart/values.yaml) ファイルを参照してください
